Audacious - Feature #14

MPRIS 2 interface support
December 23, 2011 00:46 - Jacopo Lorenzetti

Status: Closed Start date: November 05, 2011
Priority: Minor Due date:

Assignee: % Done: 100%

Category: Estimated time: 0.00 hour

Target version: 3.2

Affects version: 3.2

Description

Audacious currently supports the MPRIS 1 API but is not MPRIS 2 capable.

More desktop applets (MPRIS Applet in GNOME and Xfce, xfce4-soundmenu-plugin in Xfce, Ayatana Sound Menu in Ubuntu) are
able to control only players supporting the latest version of the MPRIS standard (like Amarok, Banshee, Clementine, Guayadeque,
Pragha, Rhythmbox, Spotify, VLC, xnoise, etc) and are not able to control MPRIS 1 capable players like Audacious.

| think it would make sense to implement an MPRIS 2 interface in Audacious.

References:

http://www.mpris.org/2.1/spec/

https://bugs.launchpad.net/bugs/681994
http://mprisapplet.sourceforge.net/
http://packages.gentoo.org/package/xfce-extra/xfce4-soundmenu-plugin
https://wiki.ubuntu.com/SoundMenu

History

#1 - December 23, 2011 00:51 - Jacopo Lorenzetti

John Lindgren wrote:
Some thoughts:

MPRIS 2 makes heavy use of the org.freedesktop.DBus.Properties interface, which has a fuller implementation in GDBus than in the older
dbus-glib, so MPRIS 2 support should start fresh using GDBus rather than being based on the MPRIS 1 code, which uses dbus-glib.

When MPRIS 2 support is implemented, the old MPRIS 1 code should die. We do not want to have to maintain both.
The org.atheme.audacious interface should be ported to GDBus. Instead of building libaudclient, we should simply install the XML file defining
org.atheme.audacious along with the Audacious headers. Instead of linking to libaudclient, audtool should be ported to GDBus and use this XML

file.

Obviously all of this will have to wait till after 3.1.

#2 - December 23, 2011 02:46 - John Lindgren

Hi, | will be happy to merge this plugin if anyone can verify that it works (or point out what it is doing wrong). | don't use Ubuntu and could not get
either of the two other MPRIS 2 clients mentioned here to work at all.

#3 - December 23, 2011 03:43 - Jacopo Lorenzetti

Hi, | just realized | uploaded a 404 error instead of the plugin (I tried downloading the file from the old jira). Can you upload the right file? Thank you.

#4 - December 23, 2011 04:55 - John Lindgren
- File deleted (mpris.tar.gz)

#5 - December 23, 2011 04:55 - John Lindgren

Unfortunately | don't have a copy locally, so either it will have to be found in a backup or rewritten.

#6 - December 24, 2011 14:57 - Jacopo Lorenzetti

Bad news: | couldn't imagine that the old bug tracker would be put offline so | haven't kept a copy locally either. Maybe | can ask someone for a
backup?

#7 - December 27, 2011 00:44 - John Lindgren
- Status changed from New to Closed
- Target version set to 3.2

- % Done changed from 0 to 100

Git version has basic MPRIS 2 functionality, enough for Ubuntu sound menu support. Album art is a little thorny because MPRIS 2 insists on having it
in a separate file, whereas we often read it embedded in the song files.

#8 - December 27, 2011 01:16 - Jacopo Lorenzetti

Great, thank you!! I'll test it as soon as possible.

#9 - December 29, 2011 02:47 - Jacopo Lorenzetti

I'm testing it, it seems to work flawlessly.

#10 - December 02, 2012 21:26 - Mad Joe
(Unrelated bug report deleted by moderator.)
